#!/bin/bash

# Prepare X environment
{% for output in video_outputs %}
{%   if output.rotate is defined %}
xrandr --output {{ output.name }} --rotate {{ output.rotate }}
{%   endif %}
{%   if output.mirror is defined %}
xrandr --output {{ output.name }} --same-as {{ output.mirror }}
{%   endif %}
{%   if output.mode is defined %}
xrandr --output {{ output.name }} --mode "{{ output.mode }}"
{%   endif %}
{%   if output.flip is defined %}
{%     if output.flip == 'horizontal' %}
xrandr -x
{%     elif output.flip == 'vertical' %}
xrandr -y
{%     elif output.flip == 'both' %}
xrandr -x -y
{%     endif %}
{%   endif %}
{% endfor %}
xset -dpms
xset s off
xset s noblank
{{ background }}

# Prepare and start systemd user services
systemctl --user import-environment DISPLAY XAUTHORITY XDG_VTNR

if which dbus-update-activation-environment >/dev/null 2>&1; then
        dbus-update-activation-environment DISPLAY XAUTHORITY
fi

systemctl --user import-environment PATH DBUS_SESSION_BUS_ADDRESS XDG_RUNTIME_DIR
systemctl --user start interactive.target

# Listen for SIGINT signal to stop target and related systemd services nicely
# TODO: Make sure this is used when stopping the getty@tty1 system service
trap "systemctl --user stop interactive.target; exit" SIGINT

# Start sleep loop to keep Xorg server running
while :
do
        sleep 0.1
done
